SDL_HINT_EVENT_LOGGING(3)

NAME
SDL_HINT_EVENT_LOGGING - A variable controlling verbosity of the logging of SDL events pushed onto the internal queue.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_EVENT_LOGGING "SDL_EVENT_LOGGING"

DESCRIPTION
The variable can be set to the following values, from least to most verbose:

• "0": Don't log any events. (default)

• "1": Log most events (other than the really spammy ones).

• "2": Include mouse and finger motion events.

This is generally meant to be used to debug SDL itself, but can be useful for application developers that need better visibility into what is going on in the event queue. Logged events are sent through SDL_Log(), which means by default they appear on stdout on most platforms or maybe OutputDebugString() on Windows, and can be funneled by the app with SDL_SetLogOutputFunction(), etc.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.